oracle linux 5.10操作系统下载_ oracle enterprise linux 5.10发布

教程发布:风哥 教程分类:ITPUX技术网 更新日期:2022-02-12 浏览学习:904

oracle linux 5.10操作系统下载_oracle enterprise linux 5.10发布,下载地址详细附件。

本次甲骨文Oracle公司发布了Oracle Linux 5.10版本,这个版本包括x86 (32 bit) and x86_64 (64 bit) architectures.Oracle Linux 5 Update 10 包含了两个内核. 95
本次Oracle Linux 5.10更新及功能介绍如下,以下文章摘自oracle官方网站:
96
Oracle Linux 5.10 Release Notes

NOTE: An upgrade of Oracle Linux from a beta release is not supported. Further, an in-place upgrade between major versions of Oracle Linux is not supported. Oracle does not recommend an upgrade from earlier major versions of Oracle Linux even though anaconda provides an option to do this upgrade. A fresh installation is strongly recommended rather than a system upgrade between major versions.
Changes from the Upstream Release
The following RPMs are modified from the upstream release. All changes are trademark and look/feel related unless otherwise noted below under the specific RPM.[list]
[*]anaconda --- Path of the Distribution changed from RedHat to Enterprise on the install CDs
[*]anacron
[*]audit
[*]autofs
[*]basesystem
[*]booty
[*]bug-buddy
[*]clustermon
[*]cmirror-kmod
[*]conga
[*]coreutils
[*]cpuspeed
[*]crash
[*]cyrus-imapd
[*]device-mapper-multipath
[*]e2fsprogs
[*]eclipse
[*]efax
[*]eruby
[*]ethtool
[*]evolution
[*]filesystem
[*]firefox
[*]firstboot
[*]freeipmi
[*]fuse
[*]gdm
[*]gfs-kmod
[*]gnbd-kmod
[*]gnome-desktop
[*]gnome-session
[*]gpm
[*]grub
[*]gstreamer
[*]gzip
[*]httpd
[*]initscripts
[*]iotop
[*]iptables
[*]iptraf
[*]irqbalance
[*]iscsi-initiator-utils
[*]java-1.6.0-openjdk
[*]java-1.7.0-openjdk
[*]jpackage-utils
[*]jsch
[*]kdbg
[*]kdeadmin
[*]kdeartwork
[*]kdebase
[*]kdelibs
[*]kexec-tools
[*]kudzu
[*]kvm
[*]libitm
[*]libtevent
[*]libvirt
[*]libwvstreams
[*]libxml2
[*]libxslt
[*]lsscsi
[*]lvm2
[*]mcelog
[*]memtest86+
[*]microcode_ctl
[*]mkbootdisk
[*]mkinitrd
[*]net-snmp
[*]nmap
[*]numactl
[*]openldap24-libs
[*]openoffice.org
[*]pango
[*]pciutils
[*]perl-XML-Simple
[*]piranha
[*]pirut
[*]procmail
[*]psacct
[*]python-virtinst
[*]qt4
[*]quota
[*]redhat-artwork
[*]redhat-lsb
[*]redhat-release
[*]redhat-rpm-config
[*]rhgb
[*]rhpl
[*]rhpxl
[*]rpm
[*]rsyslog
[*]rsyslog5
[*]setroubleshoot
[*]sgml-common
[*]sgpio
[*]sos
[*]squirrelmail
[*]stunnel
[*]sysstat
[*]system-config-bind
[*]system-config-date
[*]system-config-httpd
[*]system-config-kickstart
[*]system-config-netboot
[*]system-config-network
[*]system-config-nfs
[*]system-config-printer
[*]system-config-samba
[*]system-config-services
[*]system-config-soundcard
[*]system-config-users
[*]tcpdump
[*]tftp
[*]thunderbird
[*]tog-pegasus
[*]tux
[*]udev
[*]unzip
[*]up2date
[*]util-linux
[*]w3m
[*]wireshark
[*]xorg-x11-drv-evdev
[*]xorg-x11-server
[*]xulrunner
[*]yum
[*]yum-rhn-plugin

The following packages have been removed:
[list]
[*]Cluster_Administration
[*]Deployment_Guide
[*]Global_File_System
[*]Virtualization
[*]redhat-logos ---Replaced by oracle-logos
[*]redhat-release-notes-5Server ---Replaced by enterprise-release-notes-5Server
[*]redhat-support-lib-python
[*]redhat-support-tool
[*]rhn-setup
[*]rhn-setup-gnome
[*]rhn-client-tools ---Replaced by up2date
[*]rhnsd ---Replaced by up2date
[*]rhn-check
[*]s390utils
[*]crash-spu-commands
[*]libspe2
[*]compat-gcc-295
[*]iprutils
[*]libehca
[*]libica
[*]librtas
[*]openssl-ibmca
[*]ppc64-utils
[*]python-rhsm
[*]subscription-manager
[*]subscription-manager-migration-data
[*]virt-who
[*]yaboot

The following documentation packages have been removed:
[list]
[*]Deployment_Guide
[*]Virtualization
[*]Global_File_System
[*]Cluster_Administration
New Packages added in this releaseThe following packages were added upstream for this release (5.10) which were not in the previous update release (5.9)[list]
[*]gcc-libraries
[*]mysql51
[*]mysql51-mysql
[*]mysql55
[*]mysql55-mysql
[*]python-dateutil
[*]python-kerberos
[*]python-lxml
Packages added by OracleThe following packages have been added to the release:[list]
[*]aic94xx-firmware
[*]atmel-firmware
[*]bfa-firmware
[*]crash-6.0.4-2.0.3.el5
[*]device-mapper-multipath-0.4.9-64.0.6.el5
[*]enterprise-release
[*]enterprise-release-notes-5Server
[*]ipw2100-firmware
[*]ipw2200-firmware
[*]ivtv-firmware
[*]iwl1000-firmware
[*]iwl3945-firmware
[*]iwl4965-firmware
[*]iwl5000-firmware
[*]iwl5150-firmware
[*]iwl6000-firmware
[*]iwl6050-firmware
[*]kernel-uek
[*]kexec-tools-2.0.3-4.0.4.el5
[*]latencytop
[*]libertas-usb8388-firmware
[*]netxen-firmware
[*]ocfs2
[*]ocfs2-tools
[*]oracle-linux
[*]oracle-logos
[*]oracle-validated-1.0.0-32.el5
[*]oracle-validated-1.1.0-18.el5
[*]oracleasm
[*]oracleasm-support
[*]oraclelinux-release
[*]ql2xxx-firmware
[*]rds-tools-2.0.7-1.12.el5
[*]reflink
[*]rt61pci-firmware
[*]rt73usb-firmware
[*]up2date
[*]zd1211-firmware
Kernel and Driver UpdatesOracle Linux 5.10 ships with the following kernel packages[list]
[*]Unbreakable Enterprise kernel [kernel-uek-2.6.39-400.209.1.el5uek]
[list]
[*]Installed and booted by default
[*]Red Hat compatible Kernel [kernel-2.6.18-371.el5].
[list]
[*]Installed by default
[*]Red Hat compatible Kernel with bug fixes added by Oracle [kernel-2.6.18-371.0.0.0.1.el5]
[list]
[*]This kernel is available on x86 and x86-64, can only be installed manually (see below for details)
Note:Oracle Linux 5.10 includes both a 32 bit and a 64 bit Unbreakable Enterprise Kernel. Both Unbreakable Enterprise kernel and Red Hat compatible kernel are installed and the system boots with Unbreakable Enterprise kernel by default. If needed /etc/grub.conf can be modified to make the system boot with Red Hat compatible kernel by default.Red Hat Compatible KernelThis section covers significant changes in the Red Hat compatible kernel in this release.Driver Updates from the upstream distribution providerStorage[list]
[*]The mptfusion driver has been updated to version 3.04.20, which adds the following device ID: SAS1068_820XELP
Red Hat Compatible Kernel with Bug Fixes by OracleThis is the Red Hat compatible kernel with critical bug fixes produced by Oracle.Bug Fixes (includes all Oracle bug fixes made to the Red Hat Compatible Kernel across all releases)[list]
[*]i386: fix MTRR code [orabug 15862649]
[*][oprofile] x86, mm:Add_get_user_pages_fast() [orabug 14277030]
[*][oprofile] export_get_user_pages_fast() function [orabug 14277030]
[*][oprofile] x86: Fix nmi-unsafe callgraph support [orabug 14277030]
[*][oprofile] Use KM_NMI slot for kmap_atomic [orabug 14277030]
[*][oprofile] i386 add get_user_pages_fast support [orabug 14277030]
[*][kernel] Initialize the local uninitialized variable stats [orabug 14051367]
[*][fs] JBD:make jbd support 512B blocks correctly for OCFS2 [orabug 13477763]
[*][x86] fxi fpu context corrupt when preempt in signal context [orabug 14038272]
[*][mm] fix hugetlb page leak[orabug 12375075]
[*]fix ia64 build error due to add-support-above-32-vcpus.patch
[*][x86] use dynamic vcpu_info remap to support more than 32 vcpus
[*][x86] fix lvt0 reset when hvm boot up with noapic param
[*][scsi] Remove printk's when doing I/O to a dead device [orabug 12342275]
[*][char] ipmi: fix IPMI errors due to timing problems [orabug 12561346]
[*][scsi] Fix race when removing SCSI devices [orabug 12404566]
[*][net] Redo the broken redhat netconsole over bonding [orabug 12740042]
[*][fs] nfs: Fix_put_nfs_open_context() NULL pointer panic [orabug 12687646]
[*]fix filp_close() race [orabug 10335998]
[*]make xenkbd.abs_pointer=1 by default [orabug 67188919]
[*][xen] check to see if hypervisor supports memory reservation change [orabug 7556514]
[*][net] Enable entropy for bnx2, bnx2x, e1000e, igb, ixgb, ixgbe, ixgbevf[orabug 10315433]
[*][net] Add xen pv netconsole support [orabug 6993043] [bz 7258]
[*][mm] Patch shrink_zone to yield during severe mempressure events, avoiding hands and evictions [orabug 6086839]
[*][mm] Enhance shrink_zone patch allow full swap utilization and also be NUMA-aware [orabug 9245919]
[*]fix aacraid not to reset during kexec [orabug 8516042]
[*][xen]PVHVM guest with PoD crashes under memory pressure[orabug 9107465]
[*][xen]PV guest with FC HBA hangs during shutdown [orabug 9764220]
[*]Support 256GB+ memory for pv guest[orabug 9450615]
[*]Fix overcommit memory to use percpu_counter for el5 [orabug 6124033]
[*][ipmi]Make configurable timeouts for kcs of ipmi [orabug 9752208]
[*][ib]Fix memory corruption [orabug 9972346]
[*][usb]usbcore: fix endpoint device creation [orabug 14795203]
[*][usb]usbcore: fix refcount bug in endpoint removal [orabug 14795203]
InstallationThe Red Hat Compatible Kernel with Bug Fixes by Oracle must be manually installed. To install this kernel, follow these steps:[list=1]
[*]Mount Oracle Linux 5.10 DVD
[*]Copy the RPMs from mount_point/Server/oracle_updated to your system
[*]Install required kernel using the rpm command, e.g.
# rpm -ihv kernel-2.6.18-371.0.0.0.1.el5.x86_64.rpm
Unbreakable Enterprise KernelIntroductionThe Unbreakable Enterprise Kernel Release 2 is Oracle's second major release of its heavily tested and optimized operating system kernel for Oracle Linux 5 and Oracle Linux 6. It is based on the mainline Linux 3.0 version 3.0.36. It contains a large number of improvements and new features that have been incorporated into mainline Linux since the first version of the Unbreakable Enterprise Kernel. Please see the initial Oracle Unbreakable Enterprise Kernel Release 2 Release Notes for a detailed description of these changes.The 2.6.39-400.209.1 release is the fifth quarterly driver update release, which includes bug and security fixes. The full release notes, including known issues, can be viewed at Oracle Unbreakable Enterprise Kernel Release 2 Update 5 Release Notes.Note: the actual version number displayed by the kernel and on the RPM packages is 2.6.39. This was done to avoid potential breakage of certain low-level utilities of the Oracle Linux distribution (also known as the "plumbing") that potentially can't cope with the new 3.x version scheme. Regular Linux applications are usually not aware or affected by Linux kernel version numbers.Notable changes[list]
[*]Xsigo virtual host adapter and network drivers to support Oracle SDN (Software Defined Network), previously known as Xsigo Fabric Accelerator.
[*]LSI Fusion-MPT SAS 3.0 driver to support up to 12 Gb/s host controllers.
Notable Bug Fixes[list]
[*][btrfs] Files can be reflinked using the --reflink option to cp [orabug 13709927]
[*][btrfs] Btrfs volumes can be mounted wihtout specifying the filesystem type [orabug 13705319]
Driver UpdatesThe Unbreakable Enterprise Kernel supports a wide range of hardware and devices. In close cooperation with hardware and storage vendors, several device drivers have been updated by Oracle.Storage drivers[list]
[*]AACRAID driver updated to 1.2-0[30200]-ms
[*]Cisco FCoE HBA driver (fnic) updated to 1.5.0.45
[*]Emulex Fibre Channel HBA driver (lpfc) updated to 0:8.3.7.26.3p
[*]Intel C600 serieal attached SCSI (SAS) module (isci) updated to 1.0.0
[*]LSI Fusion-MPT base driver (mptbase) updated to 4.28.20.02
[*]LSI Fusion-MPT-ioctl driver (mptctl) updated to 4.28.20.02
[*]LSI Fusion-MPT Fibre Channel host driver (mptfc) updated to 4.28.20.02
[*]LSI Fusion-MPT IP over Fibre Channel driver (mptlan) updated to 4.28.20.02
[*]LSI Fusion-MPT SAS driver(mptsas)) updated to 4.28.20.02
[*]LSI Fusion-MPT SCSI host driver (mptscsih) updated to 4.28.20.02
[*]LSI Fusion-MPT SPI host driver (mptspi) updated to 4.28.20.02
[*]LSI Fusion-MPT SAS 2.0 driver (mpt2sas) updated to 17.00.01.00
[*]LSI Fusion-MPT SAS 3.0 driver (mpt3sas) updated to 3.00.00.00 added. Supports up to 12 Gb/s host controllers
[*]MegaRAID SAS driver (megaraid_sas) updated to 06.600.18.00
[*]Qlogic iSCSI driver (qla4xxx) updated to 5.03.00.03.06.02-uek2. Supports Open-iSCSI
[*]Xsigo Core services module driver (xscore) version 6.0.r7269 added. Required by all Xsigo modules
[*]Xsigo Virtual HBA driver (xsvhba) verion 6.0.r7269 added
Network drivers[list]
[*]Broadcom Tigon3 Ethernet adapter driver (tg3) updated to 3.131d.
[*]Emulex Blade Engine 2 10Gbps adapter driver (be2net) updated to 4.4.31.0o
[*]Intel Pro/1000 PCI-Express Gigabit network adapter driver (e1000e) updated to 2.4.14
[*]Intel Gigabit Ethernet network adapter driver (igb) updated to 4.3.0
[*]Intel Gigabit Linux driver (igbvf) updated to 2.3.2. Provides 82576-based virtual funtion devices on kernels that support Single Root I/O Virtualization (SR-IOV)
[*]Intel 10 Gigabit PCI-Express network adapter driver (ixgbe) updated to 3.15.1
[*]Qlogic 1/10 GbE Converged/Intelligent Ethernet Adapter driver (qlcnic) updated to 5.2.43
[*]Xsigo Core Services module driver (xscore) version 6.0.r7269 added. Required by all other Xsigo modules.
[*]Xsigo Virtual Ethernet driver (xve) added
[*]Xsigo Virtual NIC driver (xsvnic) version 0.316.0.r7269
Technology PreviewFollowing features included in the Unbreakable Enterprise Kernel Release 2 are still under development, but are already made available for testing/evaluation purposes.[list]
[*]Kernel module signing facility: Applies cryptographic signature checking to modules on module load, checking the signature against a ring of public keys compiled into the kernel. GPG is used to do the cryptographic work and determines the format of the signature and key data.
[*]Transcendent memory: Transcendent Memory (tmem for short) provides a new approach for improving the utilization of physical memory in a virtualized environment by claiming underutilized memory in a system and making it available where it is most needed. From the perspective of an operating system, tmem is fast pseudo-RAM of indeterminate and varying size that is useful primarily when real RAM is in short supply. To learn more about this technology and its use cases, see the Transcendent Memory project page on oss.oracle.com: http://oss.oracle.com/projects/tmem/]http://oss.oracle.com/projects/tmem/
CompatibilityOracle Linux maintains user-space compatibility with Red Hat Enterprise Linux, which is independent of the kernel version running underneath the operating system. Existing applications will continue to run unmodified on Unbreakable Enterprise Kernel Release 2 Update 5 and no re-certifications are needed for RHEL certified applications.The Oracle Linux team works closely with 3rd party hardware and software vendors to minimize impact on interoperability during releases but in order to introduce new drivers there are instances where changes must be made. In this release, there are changes to the kernel ABI which requires 3rd party kernel modules on the system be recompiled. Before installing this update, please verify the support status of this release with your application vendor(s).Technology Preview Features for Oracle Linux 5The following Technology Preview features are currently not supported under Oracle Linux 5 and may not be functionally complete.[list]
[*]Distributed File System (DFS)
[*]LSI 12 Gb/s adapters with the MegaRAID SAS driver
[*]CDTB (Clustered database) based on Samba's Trivial Database (TDB)
[*]Kerberos support for CIFS mounts
[*]FreeIPMI
[*]TrouSerS and tpm-tools
[*]eCryptfs
[*]Stateless Linux
[*]AIGLX
[*]FireWire
[*]Device Failure Monitoring of RAID sets
[*]SGPIO Support for dmraid
[*]Kernel Tracepoint Facility
[*]Software based Fibre Channel over Ethernet (FCoE)
[*]iSER Support
[*]glibc new MALLOC behaviour
These features are not suitable for production use. However, these features are included to provide the feature with wider exposure.Known Issues for Oracle Linux 5.10[list=1]
[*]Red Hat compatible Kernel with Oracle bug fixes will be updated to standard Red Hat compatible kernel during ISO upgrade
[indent]The Oracle Linux ISO has the patched Red Hat compatible kernel but it is not in the iso repodata, therefore if the ISO is used to upgrade, the kernel will be updated to the Red Hat compatible version of the latest release (the non-patched). This is expected behavior.
[/indent]
[*]Red Hat compatible Kernel will be updated to standard Red Hat compatible kernel with Oracle bug fixes during ULN upgrade
[indent]If a 5.9 system running the Red Hat compatible kernel registers to the 5.10 ULN channel, the kernel will be updated to the Red Hat compatible with Oracle bug fixes version of the latest release. This is expected behavior.
[/indent]
[*]Error: "qemudStaretup:1728: Unable to create cgroup for driver: No such device or address"
[indent]Use the following steps to workaround this error:
mkdir /dev/cgroupmount -t cgroup none /dev/cgroup -o cpu, memory, devices[/indent]
[*]YUM command error occurs after system is removed from ULN
[indent]After removing a system from the list in ULN and running 'yum update' on the server console, the following error is displayed:
AttributeError: 'module' object has no attribute 'RhnServerException'To work around this issue remove /etc/sysconfig/rhn/systemid and run 'yum update' again
[/indent]
[*]dmsg error: "rtc_cmos: probe of rtc_cmos failed with error -16. Error: Driver 'pcspkr' is already registered, aborting...kudzu[1373] general protection ip:8056c78 sp:bfed96b0 error:0 in kudzu[8048000+26000]"
[indent]This is a known issue that is seen with Oracle Linux 5 32-bit para-virtualized guests created using virt-install
[/indent]
[*]UDEVD to be updated to use oom_score_adj to disable OOM on 2.6.39-UEK2
[indent]This change will set oom_score_adj, if available otherwise if this fails, it will fall back to the old oom_adj[/indent]
[*]Installation completes successfully but grub.conf file is empty and system will not successfully boot.
[indent]This occurs when trying to install the bootloader to a cciss device. To correct this, edit the drive order by moving [font=NSimsun]/dev/cciss/c0d0 ahead of [font=NSimsun]/dev/sda
[/indent]
[*]Missing openIB drivers (sdp/ulp) for Infiniband in UEK (R1/R2)
[indent]When attempting to load the openIB service the error [font=NSimsun]"Loading OpenIB kernel modules:FATAL: Module ib_sdp not found" is displayed. This is an artifact of the ib_sdp driver from OpenIB not being included in the UEK. If you are using OpenIB, you should use the Red Hat compatible kernel.
[/indent]
[*]Service TUX failed to start on Oracle Linux systems running the UEK
[indent]When attempting to start tux service [font=NSimsun](service tux start) the system reports multiple errors for [font=NSimsun]"No such file or directory" and ends with [font=NSimsun]"TUX not implemented in this kernel" TUX is not shipped as part of the UEK and this is expected behavior.
[/indent]
[*]After running [font=NSimsun]yum update there are multiple errors in the yumupdate.log indicating a failure to read modules kvm.ko, kvm-amd.ko, ksm.ko, kvm-intel.ko with the message [font=NSimsun]"no such file or directory"
The error messages are generated due to bad symbolic links in the Red Hat compatible kernel and are considered harmless.
[*]HVM with PV Drivers Upgrade Issue: Cannot Update Bootloader configuration
When upgrading a VM using the HVM with PV Drivers Domain type on Oracle Enterprise Linux 5.10 from previous versions using the ISO media, the option to upgrade the boot loader configuration may not be available. This is due to a difference in the way the kernel detects the disk devices that prevents it from detecting the existing configuration. There are two ways to work around the problem:
- Use yum to upgrade the systems to 5.10 instead of an ISO - Choose the "create new bootloader" option After the upgrade, old kernel entries that refer to removed kernel packages may remain in the grub.conf configuration file. Make sure to boot to the 5.10 kernel and remove the invalid entries.
[*]No networking after upgrading an Oracle Linux 5 HVM guest on Oracle VM 2.2.2
[indent]Upgrading an existing Oracle Linux 5 Update 6 or Update 7 guest which is running in HVM mode on Oracle VM 2.2.2 may result in the network interface(s) being disabled after the reboot post-upgrade. To resolve this issue, ensure that the network interfaces are set to "paravirtual" in Oracle VM Manager.
Alternatively, to maintain the emulated devices inside the guest, add [font=NSimsun]xen_emul_unplug=never to the kernel boot line in [font=NSimsun]/boot/grub/grub.conf and reboot the guest.
[/indent]
[*]No networking after upgrading an Oracle Linux 5 HVM with PV Drivers guest on Oracle VM 2.2.2 or 3.0
[indent]Upgrading an existing Oracle Linux 5 Update 6 or Update 7 guest which is running in HVM with PV Drivers mode on Oracle VM 2.2.2 or 3.0 may result in the network interface(s) being disabled after the reboot post-upgrade. To resolve this issue, rename the [font=NSimsun]/etc/sysconfig/network-scripts/ifcfg-eth0.bak file to [font=NSimsun]/etc/sysconfig/network-scripts/ifcfg-eth0 and reboot the guest.[/indent]
[*]Warnings appear in dmesg on first boot
[indent]After an initial install of Oracle Linux 5.10, the following warning may appear one or more times in the output of dmesg:warning: process `firstboot' used the deprecated sysctl system call with 1.23. This warning can be safely ignored.[/indent]
[*]New multipath settings requires changes to /etc/multipath.conf
[indent]Oracle Linux 5.10 includes a new version of device-mapper-multipath. This new version requires manual changes to the /etc/multipath.conf file. In the multipath.conf, the line with prio_callout needs to be replaced by the keyword prio, and a simple string, not an executable pathname, used for the parameter to prio. Valid settings for prio are:
[list]
[*]alua
[*]ontap
[*]const
[*]random
[*]emc
[*]rdac
[*]hds
[*]tpg_pref
[*]hp_sw
[*]weighted
[/indent][*]Multipath failure causes flush of all multipath devices (12760775)
[indent]In some multipath failure cases, the multipath maps can get flushed when all paths fail, and [font=NSimsun]multipath -l displays no information on the status of your multipath devices. This has been reported with 2.6.39 UEK kernels using NetApp LUNs, but not when running 2.6.18 series kernels with the same storage LUNs.[/indent]
[*]Error inserting cxgb3i module (13493043)
[indent]iscsi offload via cxgb3i on a server with Chelsio T3 Network Controller will fail with following error if ofa kernel package is installedfatal: error inserting cxgb3i - unknown symbol t3_l2e_freeUse following workaround steps to fix the issue:
[list]
[*]Remove cxgb3i dependent module from memory if any loaded , i.e# rmmod libcxgbi cxgb3
[*]Uninstall ofa package,# rpm -e ofa-2.6.32-300.10.1.el6uek-1.5.1-4.0.47.x86_64
[*]Load cxgb3i module# modprobe cxgb3i
[/indent][*]Slow performance on 10Gb Ethernet Interfaces
The default networking tuning parameters may be too low for some 10Gb Ethernet interface drivers. If you are experiencing less than expected network performance, change the following NIC parameters:
[list]
[*]rx-usecs: 1
[*]rx-frames: 0
To:[list]
[*]rx-usecs: 10
[*]rx-frames: 10
[*]dbus-daemon warning in dmesg on 32-bit systems
[indent]On 32-bit Oracle Linux systems, you may see the following warning in dmesg:warning: `dbus-daemon' uses 32-bit capabilities (legacy support in use)This is only a warning and can be safely ignored.[/indent]
[*]iTCO_wdt warning in dmesg
[indent]Some server hardware may not support the Intel TCO watchdog drivers. The following warning may be seen in dmesg:iTCO_vendor_support: vendor-support=0 iTCO_wdt: Intel TCO WatchDog Timer Driver v1.05 iTCO_wdt: failed to reset NO_REBOOT flag, reboot disabled by hardware iTCO_wdt: No card detected intel_rng: FWH not detectedTo disable this TCO WatchDog Timer Driver and suppress this warning at boot time add the line "blacklist iTCO_wdt" to /etc/modprobe.d/blacklist-watchdog".[/indent]
[*]Unbreakable Enterprise Kernel firmware must be manually installed prior to upgrade
[indent]Due to a change in the way firmware is loaded between the Red Hat Compatible Kernel and the Oracle Unbreakable Enterprise Kernel, you may need to manually install the correct UEK kernel firmware package if you want to boot a previous kernel version after upgrading to Oracle Linux 5.10. For example, to install the firmware for kernel-uek-2.6.39-300.10.1, download the correct RPM package from the Unbreakable Linux Network and run the following command:# rpm -ivh --force kernel-uek-firmware-2.6.39-300.10.1.el5uek.noarch.rpm[/indent]
[*]Memory limited for Oracle Linux 5.10 Paravirtualized Guests
[indent]Oracle Linux 5.10 paravirtualized guests running on Oracle VM with the Unbreakable Enterprise Kernel have a memory limit of 480GB. Setting the memory beyond this value may cause the paravirtualized network interfaces to fail.[/indent]
[*]Oracle Linux 5.10 32-bit guest in HVM with PV Drivers mode with more than 1 vCPU hangs on boot
[indent]Attempting to boot a 32-bit HVM guest with PV Drives with more than 1 virtual CPU may fail. To resolve this issue, boot the guest with a single virtual CPU and append tsc=reliable parameter to the kernel boot line in/boot/grub/grub/confYou can then boot the guest with multiple virtual CPUs.[/indent]
[*]kexec/kdump may not work on some server platforms
[indent]Certain server platforms may not support the default kdump parameters. To test this, enable kdump and issue:echo c > /proc/sysrq-triggerIf your server hangs indefinitely, you may need to disable the "reset_devices" parameter for kdump. To do this, edit /etc/sysconfig/kdump and remove the "reset_devices" parameter from the KDUMP_COMMANDLINE_APPEND variable.[/indent]
[*]Using yum to upgrade previous update from Unbreakable Linux Network (ULN)
[indent]yum package need to be updated before upgrading previous update releases of Oracle Linux 5 to Oracle Linux 5 Update 8 using yum from ULN. Please use the following steps to upgrade: # yum update yum # yum update[/indent]
[*]Default kernel after upgrade
[indent]In certain upgrade scenarios the Unbreakable Enterprise Kernel may not be the default boot kernel. Update /etc/grub.conf to make the latest Unbreakable Enterprise Kernel as the default boot kernel.[/indent]
[*]Missing kernel module ib_iser.ko
[indent]Starting OpenFabrics Enterprise Distribution 1.4.2-5 version (ofa package), ib_iser kernel module is not built as part of ofa package. If the ofa package installed on the system tries to load ib_iser.ko, the following message will be displayed on the console
ib_iser: disagrees about version of symbol ib_fmr_pool_unmap ib_iser: Unknown symbol ib_fmr_pool_unmap
These messages can be ignored as ib_iser.ko is no more needed.[/indent]
[*]Upgrade failure for the full install of Oracle Linux 5
[indent]If any of the following packages are installed on the systemkmod-cmirrorkmod-cmirror-xenkmod-gfskmod-gfs-xenkmod-gnbdkmod-gnbd-xenUpgrade of Oracle Linux 5 system may fail with the following errorAn error occurred while installing packages.Please examine /root/install.log on your installed system for detailed informationto workaround this problem, remove above packages before upgrade. These packages can be installed after the upgrade.[/indent]
[*]Failed to stat /dev/mapper/* message during boot of paravirtualized guests
[indent]Following messages during boot of paravirtualized guest can be ignored Failed to stat /dev/mapper/no Failed to stat /dev/mapper/block Failed to stat /dev/mapper/devices Failed to stat /dev/mapper/foundThese errors are expected as dmraid utility returns 'no block devices found' because an ioctl to get serial numbers on pv devices returns -EINVAL."[/indent]
[*]Spurious udev messages during restore of a failed path (11682171)
[indent]When failed paths are restored in a multipath configuration, you may see udevd-work error messages in /var/log/messages. The failed paths do get restored despite these messages.[/indent]
[*]Default NFS v4 mount options
[indent]The default NFS mount option has changed to NFS v4. To mount an NFS volume using NFS v3 (the default using the Red Hat Compatible Kernel), use the following mount options:-o vers=3,mountproto=tcp[/indent]
[*]Serial console not working for a paravirtualized guest (10059184)
[indent]Please use the following steps to configure the serial console in a paravirtualized guest (PV) using the Unbreakable Enterprise kernel (updates are in the guest):
[list=1]
[*]change the kernel boot parameter 'console=xvc0' to 'console=hvc0' in the /etc/grub.conf:
kernel /vmlinuz-2.6.32-300.10.1.el5 ro root=/dev/sd0 console=tty0 console=hvc0
[*]add an 'hvc0' entry to /etc/inittab:
co:2345:respawn:/sbin/agetty hvc0 9600 vt100-nav
[*]add an 'hvc0' entry to /etc/securetty
.[/indent][*]Setting serial console in a hardware virtualized (HVM) guest
[indent]To set the serial console a hardware virtualized (HVM) guest use the following settings in the guest:
[list]
[*]On the kernel boot line in grub.conf, add: console=tty0 console=ttyS0,57600n8
[*]add the following to /etc/securetty ttyS0
[*]add the following to /etc/inittab co:2345:respawn:/sbin/agetty ttyS0 57600 vt100-nav
[/indent][*]Console appears to hang while booting on certain systems (10094052)
[indent]On some hardware, the console may appear to hang during the boot process after starting udev. But the system does boot up properly and is accessible. A workaround to this problem is to add nomodeset as a kernel boot parameter in /etc/grub.conf: kernel /vmlinuz-2.6.32-300.10.1.el5uek.x86_64 ro root=/dev/sd0 nomodeset[/indent]
[*]Unable to start X (10056679)
[indent]On some hardware, startup of the X environment may fail after upgrading to Unbreakable Enterprise Kernel with following Error: Fatal server error: Cannot run in framebuffer mode. Please specify busIDs for all framebuffer devices.To workaround this issue reconfigure X using command "X -configure" and use generated configuration file to start X environment.[/indent]
[*]Higher memory is required for crashkernel option
[indent]With the Unbreakable Enterprise Kernel a higher memory setting is required for crashkernel option in /etc/grub.conf file. Booting with crashkernel=128M@16M will result in following error: crashkernel reservation failed - memory is in useMinimum value for crashkernel option is 128M@32M. Based on the system configuration a higher value may be required. If kdump service loading fails increase the second value (32M). If the system hangs or crashes with out of memory during dumping core increase the first value (128M)[/indent]
[*]NFS: Error message displayed while mounting an NFS filesystem (10070721)
[indent]The following error may be encountered while mounting an NFS filesystem: "SVC: FAILED TO REGISTER LOCKDV1 RPC SERVICE (ERRNO 97)."This is an informative message and can be ignored[/indent]
[*]Unable to remove directory during boot
[indent]The following message during boot can be ignored as SELinux does not allow to recreate the login subdirectory and hence directory should not be removed for dovecot:Error : "rm: cannot remove `/var/run/dovecot/login': Is a directory "[/indent]
[*]Upgrade ocfs2 and oracleasm kernel modules
[indent]ocfs2 and oracleasm kernel modules will not be automatically updated during upgrade of Oracle Linux 5 as package name for these modules contains kernel version in it. These packages need to be updated manually after the upgrade.[/indent]
[*]device-mapper-multipath package for Red Hat compatible kernel
[indent]Unbreakable Enterprise Kernel requires kpartx and device-mapper-multipath RPMs that are newer than those provided for the Red Hat compatible kernel. By default device-mapper-multipath-0.4.9-56.0.3.el5 and kpartx-0.4.9-56.0.3.el5 are installed. These updated versions of kpartx and device-mapper-multipath are supported with the Red Hat compatible kernel. The original RPMs for the Red Hat compatible kernel (kpartx-0.4.7-54.el5 and device-mapper-multipath-0.4.7-54.el5) are also included on the Oracle Linux 5.10 ISO in directory Server/oracle_updated.

[/indent]
[*]Workaround to use pirut and system-config-packages to manage packages
[indent]Pirut and system-config-packages cannot be used to manage, install, and uninstall software packages. Follow the steps below to resolve the issue
[list]
[*]Mount the DVD iso of the desired update of Oracle Linux Release 5.
Command for mounting the DVD media inserted in /dev/cdrom# mount -r -o loop -t iso9660 /dev/cdrom /mnt
Command to mount iso image file# mount -o loop /mnt
[*]Create yum repository configuration file /etc/yum.repos.d/dvd.repo with following contents
[dvd] name=OEL5DVD baseurl=file:///mnt/Server enabled=1 gpgcheck=1 gpgkey=file:///mnt/RPM-GPG-KEY file:///mnt/RPM-GPG-KEY-oracle
[*]Clear and update the yum cache
# yum clean all # yum update
[*]Run pirut/system-config-packages to manage software packages
[/indent][*]Conflicting packages
[indent]The following packages can not co-exist due to file conflict
[list]
[*]ant and ant17
[*]freeradius and freeradius2
[*]postgres and postgresql84
[*]samba and samba3x
[*]tcsh and tcsh617
[*]bind and bind97
[*]php and php53
[*]unixODBC and unixODBC64
[*]rsyslog and rsyslog5
[*]mysql, mysql51, mysql55 (only one can be installed on a given server)
[/indent][*]Unresolved dependency during update using up2date
[indent]If updating from Oracle Linux 5 GA or RHEL 5 GA using up2date, you may encounter the following error: Unresolvable chain of dependencies: xen-3.0.3-64.el5 requires xen-hypervisor-abi = 3.1This happens because a kernel-xen package update is needed by the xen package, but 'kernel*' is part of the up2date pkgSkipList. To get around this, add 'xen;xen-devel;' to the pkgSkipList line in /etc/sysconfig/rhn/up2date and then run up2date. You can update the xen and kernel-xen packages together later via 'up2date --force xen kernel-xen'.[/indent]
[*]/ETC/MULTIPATH/WWIDS is missing after multipath-root install on OL5.10
[indent]When installing onto a multipath root disk, the file /etc/multipath/wwids is not automatically generated at boot time, because the root disk (which is itself on multipath) is still in read-only mode at the time multipath services start up. This will result in a warning message displayed to the console at boot time:
Cannot open file [/etc/multipath/wwids] readonly: No such file or directory
This message is a warning that can be ignored safely; it does not affect the runtime operation of multipathd or device-mapper-multipath. To squelch this warning message, after the system has booted, it is possible to generate the missing wwids file with this command (executed as root):
multipath -l
A future errata update should include a complete fix for this issue.[/indent]
[*]"Warning: at security/security.c:51 security_ops_task_setrlimit()" in /var/log/messages after upgrading from Oracle Linux 5.9 to 5.10
[indent]This warning message is harmless and does not affect the functions of the system. This message is generated to let developers of LSM modules (security packages such as SELinux or comparable solutions like AppArmor or Tomoyo) know about a quirk in the way LSM modules implement protection for the setrlimit syscall in Oracle Linux 5.[/indent]
[*]Removing oracle-validated.rpm may cause issues with grub.conf after updating from 5.9 to 5.10 (17089358)[indent]This only effects a system when removing oracle-validated.rpm. Take a backup of the following files before removing oracle-validated.rpm. Once oracle-validated is removed, restore the files./boot/grub/grub.conf/etc/sysctl.conf/etc/security/limits.conf[/indent]
[*]Error: "FATAL: Could not load /lib/modules/2.6.18-363.el5/modules.dep: no such file or directory"[indent]This error may be seen when upgrading from 5.9 to 5.10 in systems with over 4GB memory. This warning message is harmless and does not affect the functions of the system.[/indent]
Configuring Updates for Oracle Linux 5 Update 10Unbreakable Linux NetworkOracle Linux offers an option to keep your operating system up to date with latest operating system patches using up2date or yum.To register with ULN, use the following command:[font=NSimsun]# up2date --register
To access Linux updates via Unbreakable Linux Network, you must purchase a Linux support subscription. For more information please visit http://linux.oracle.com.]http://linux.oracle.com.During ULN registration the server will be automatically registered with two channels: the latest channel for the base repository as well as the latest channel for the Unbreakable Enterprise Kernel Release 2. If you have upgraded from a previous release and do not wish for the UEKR2 to be installed, you will need to manually unsubscribe the server from this channel.The Unbreakable Linux Network includes Oracle-specific software packages, for example Oracle's ASMlib userspace package and the Oracle Instant Client. To enable access to these packages, login to the Unbreakable Linux Network and subscribe to the "Oracle Software" channel.Note: Prior to using up2date, import the RPM-GPG-KEY for Oracle Linux:[font=NSimsun]# rpm --import /etc/pki/rpm-gpg/RPM-GPG-KEY
Public YumOracle now provides all errata and updates for Oracle Linux via the public yum service. This service does not require a Linux support subscription, but only includes updates to the base distribution and does not include Oracle-specific software. To enable updates via public-yum, please visit http://public-yum.oracle.com]http://public-yum.oracle.com and follow the instructions on that website.By default, all new installs of Oracle Linux 5 Update 10 are automatically configured to use the public-yum update service. No modification is required to use this service. The public-yum service is automatically disabled when a server is registered with the Unbreakable Linux Network.Installation MediaNote: Oracle Linux 5 Update 10 now contains two distinct repository sources on the installation media. To configure yum to use the installation media as a yum source, create the following file [font=NSimsun]/etc/yum.repos.d/Media.repo with content similar to the following:[ol5_base_media]name=Oracle Linux 5 Update 10 Base Mediabaseurl=file:///media/Servergpgcheck=0enabled=1[ol5_uek_media]name=Oracle Linux 5 Update 10 UEK Mediabaseurl=file:///media/UEK2gpgcheck=0enabled=1You may need to adjust the [i]baseurl parameter to match where you mount the ISO media on your server.
oracle linux 5.10操作系统下载(oracle enterprise linux 5.10)下载地址,详见附件:
最新ISO下载地址:OracleLinux-R5-U10-Server-i386-dvd.isohttp://mirrors.dotsrc.org/oracle-linux/EL5/U10/i386/Enterprise-R5-U10-Server-i386-dvd.iso]下载地址1
http://ftp.heanet.ie/mirrors/oracle-linux/EL5/U10/i386/Enterprise-R5-U10-Server-i386-dvd.iso]下载地址2

OracleLinux-R5-U10-Server-x86_64-dvd.iso

http://mirrors.dotsrc.org/oracle-linux/EL5/U10/x86_64/Enterprise-R5-U10-Server-x86_64-dvd.iso]下载地址1

http://ftp.heanet.ie/mirrors/oracle-linux/EL5/U10/x86_64/Enterprise-R5-U10-Server-x86_64-dvd.iso]下载地址2

另外附件中还提供以下版本的下载(附件中):
oracle linux 5.9
OracleLinux-R5-U9-Server-i386-dvd.isoOracleLinux-R5-U9-Server-x86_64-dvd.iso
oracle linux 5.8
OracleLinux-R5-U8-Server-i386-dvd.isoOracleLinux-R5-U8-Server-x86_64-dvd.iso
oracle linux 5.7
OracleLinux-R5-U7-Server-i386-dvd.isoOracleLinux-R5-U7-Server-x86_64-dvd.iso

本文标签:
网站声明:本文由风哥整理发布,转载请保留此段声明,本站所有内容将不对其使用后果做任何承诺,请读者谨慎使用!
【上一篇】
【下一篇】